Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 179034 - Warning window "Can not get exclusive access..." breaks UI tests
Warning window "Can not get exclusive access..." breaks UI tests
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Project
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Alexander Simon
issues@cnd
68patch1-verified
:
Depends on: 167339
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-25 09:34 UTC by Alexander Pepin
Modified: 2010-01-26 07:25 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Pepin 2009-12-25 09:34:06 UTC
While running automatic tests when we create makefile based projects we quite often get such warning window which prevents out tests from working properly. Despite it's very difficult to reproduce this issue while manual testing it brings instability into test results. Netbeans log shows:
....
INFO [org.netbeans.modules.cnd.discovery.projectimport.ImportProject]: #save configuration descriptor
INFO [org.netbeans.modules.cnd.discovery.projectimport.ImportProject]: #start discovery by model
INFO [org.netbeans.modules.cnd.discovery.projectimport.ImportProject]: #start fixing excluded header files by model
SEVERE:  Cannot get exclusive access to /export/hudson/workspace/ss-test-sparc-S2-5/tests/build/test/qa-functional/data/dbxGUI/breakpoint/ProcessEventBkpt1/testProcessEventBkpt1/tracedbxGUI.breakpoint.ProcessEventBkpt1/nbproject/project.xml (probably opened for reading).

msg
Caused: org.netbeans.modules.masterfs.filebasedfs.utils.FSException: Cannot get exclusive access to /export/hudson/workspace/ss-test-sparc-S2-5/tests/build/test/qa-functional/data/dbxGUI/breakpoint/ProcessEventBkpt1/testProcessEventBkpt1/tracedbxGUI.breakpoint.ProcessEventBkpt1/nbproject/project.xml (probably opened for reading).
    at org.netbeans.modules.masterfs.filebasedfs.utils.FSException.io(FSException.java:115)
    at org.netbeans.modules.masterfs.filebasedfs.fileobjects.MutualExclusionSupport.addResource(MutualExclusionSupport.java:99)
    at org.netbeans.modules.masterfs.filebasedfs.fileobjects.FileObj.getOutputStream(FileObj.java:104)
    at org.netbeans.modules.masterfs.filebasedfs.fileobjects.FileObj.getOutputStream(FileObj.java:87)
    at org.netbeans.spi.project.support.ant.AntProjectHelper$2.run(AntProjectHelper.java:348)
    at org.openide.filesystems.EventControl.runAtomicAction(EventControl.java:122)
    at org.openide.filesystems.FileSystem.runAtomicAction(FileSystem.java:539)
    at org.netbeans.spi.project.support.ant.AntProjectHelper.runSaveAA(AntProjectHelper.java:323)
    at org.netbeans.spi.project.support.ant.AntProjectHelper.saveXml(AntProjectHelper.java:339)
    at org.netbeans.spi.project.support.ant.AntProjectHelper.save(AntProjectHelper.java:613)
    at org.netbeans.spi.project.support.ant.AntProjectHelper.access$100(AntProjectHelper.java:106)
    at org.netbeans.spi.project.support.ant.AntProjectHelper$1.save(AntProjectHelper.java:144)
    at org.netbeans.modules.project.ant.AntBasedProjectFactorySingleton.saveProject(AntBasedProjectFactorySingleton.java:439)
    at org.netbeans.api.project.ProjectManager$6.run(ProjectManager.java:644)
    at org.netbeans.api.project.ProjectManager$6.run(ProjectManager.java:633)
    at org.openide.util.Mutex.writeAccess(Mutex.java:433)
    at org.netbeans.api.project.ProjectManager.saveProject(ProjectManager.java:633)
    at org.netbeans.modules.cnd.makeproject.api.configurations.MakeConfigurationDescriptor.ConfigurationProjectXMLWriter(MakeConfigurationDescriptor.java:764)
    at org.netbeans.modules.cnd.makeproject.api.configurations.MakeConfigurationDescriptor.saveWorker(MakeConfigurationDescriptor.java:705)
    at org.netbeans.modules.cnd.makeproject.api.configurations.MakeConfigurationDescriptor.access$000(MakeConfigurationDescriptor.java:97)
[catch] at org.netbeans.modules.cnd.makeproject.api.configurations.MakeConfigurationDescriptor$SaveRunnable.run(MakeConfigurationDescriptor.java:631)
    at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:602)
    at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1084)
ALL [null]: Cannot get exclusive access to /export/hudson/workspace/ss-test-sparc-S2-5/tests/build/test/qa-functional/data/dbxGUI/breakpoint/ProcessEventBkpt1/testProcessEventBkpt1/tracedbxGUI.breakpoint.ProcessEventBkpt1/nbproject/project.xml (probably opened for reading).
INFO [org.netbeans.modules.cnd.discovery.projectimport.ImportProject]: #save configuration descriptor



see also bug #167339
Comment 1 Alexander Simon 2010-01-12 06:48:03 UTC
make UI less exception report, change set:
http://hg.netbeans.org/cnd-main/rev/5d8e578b98f1
It is enough for automatic tests.
QA, please, verify fix.
Comment 2 Vladimir Voskresensky 2010-01-12 08:34:50 UTC
fix is safe, although I'd prefer to prepare StringBuilder in loop and then print it to prevent mix of output from different tracers
Comment 3 Alexander Pepin 2010-01-13 06:19:04 UTC
verified in dev build
Comment 4 Quality Engineering 2010-01-13 12:27:25 UTC
Integrated into 'main-golden', will be available in build *201001131418* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/5d8e578b98f1
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixup  BZ#179034  Warning window "Can not get exclusive access..." breaks UI tests:
- make UI less exception message
Comment 5 pgebauer 2010-01-14 02:32:12 UTC
The fix has been ported into the release68_fixes repository.
http://hg.netbeans.org/release68_fixes/rev/ae695fadb8a7
Comment 6 Alexander Pepin 2010-01-26 07:25:09 UTC
verified in patch1 candidate


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo